# GUniDeposit

### Description

Action that adds liquidity to G-UNI pool of interest (mints G-UNI LP tokens)

### Action ID

`0x1d60df44`

### SDK Action

```ts
const gUniDepositAction = new dfs.actions.guni.GUniDepositAction(
    token0,
    token1,
    amount0Max,
    amount1Max,
    amount0Min,
    amount1Min,
    to,
    from
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param pool address of G-UNI pool to add liquidity to
    /// @param token0 address of token0
    /// @param token1 address of token1
    /// @param amount0Max the maximum amount of token0 msg.sender willing to input
    /// @param amount1Max the maximum amount of token1 msg.sender willing to input
    /// @param amount0Min the minimum amount of token0 actually input (slippage protection)
    /// @param amount1Min the minimum amount of token1 actually input (slippage protection)
    /// @param to account to receive minted G-UNI tokens
    /// @param from account from which to pull underlying tokens from
    struct Params {
        address pool;
        address token0;
        address token1;
        uint256 amount0Max;
        uint256 amount1Max;
        uint256 amount0Min;
        uint256 amount1Min;
        address to;
        address from;
    }
```

### Return Value

```solidity
return bytes32(mintedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("GUniDeposit", logData);
logger.logActionDirectEvent("GUniDeposit", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/guni/gunideposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
